import * as _nuxt_schema from '@nuxt/schema';

interface GithubRepositoryOptions {
  owner?: string
  branch?: string
  repo?: string
  api?: string
  token?: string
}

interface ModuleOptions extends GithubRepositoryOptions {
    owner?: string;
    branch?: string;
    repo?: string;
    api?: string;
    token?: string;
    disableCache?: boolean;
    remarkPlugin?: boolean;
    releases?: boolean;
    contributors?: boolean;
    maxContributors?: number;
    /**
     * Parse contents (releases content, readme) Markdown and return AST tree.
     *
     * Note: This option is only available when you have `@nuxt/content` installed in your project.
     *
     * @default true
     */
    parseContents?: boolean;
}
declare module '@nuxt/schema' {
    interface PublicRuntimeConfig {
        github?: ModuleOptions;
    }
    interface RuntimeConfig {
        github?: ModuleOptions;
    }
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { ModuleOptions, _default as default };
