import { defineComponent, useSlots } from "vue";
import { hash } from "ohash";
import { useGithub } from "../composables/useGithub.mjs";
import { useAsyncData } from "#imports";
export default defineComponent({
  props: {
    query: {
      type: Object,
      required: false,
      default: () => ({})
    }
  },
  async setup(props) {
    const { fetchLastRelease } = useGithub();
    const {
      data: release,
      refresh,
      pending
    } = await useAsyncData(`github-last-release-${hash(props.query)}`, () => fetchLastRelease(props.query));
    return {
      release,
      refresh,
      pending
    };
  },
  render({ release, refresh, pending }) {
    const slots = useSlots();
    return slots?.default?.({ release, refresh, pending });
  }
});
