import { defineComponent, useSlots } from "vue";
import { hash } from "ohash";
import { useGithub } from "../composables/useGithub.mjs";
import { useAsyncData } from "#imports";
export default defineComponent({
  props: {
    query: {
      type: Object,
      required: false,
      default: () => ({})
    }
  },
  async setup(props) {
    const { fetchReadme } = useGithub();
    const { data: readme, refresh, pending } = await useAsyncData(`github-readme-${hash(props.query)}`, () => fetchReadme(props.query));
    return {
      readme,
      refresh,
      pending
    };
  },
  render({ readme, refresh, pending }) {
    const slots = useSlots();
    return slots?.default?.({ readme, refresh, pending });
  }
});
