import { defineComponent, useSlots } from "vue";
import { hash } from "ohash";
import { useGithub } from "../composables/useGithub.mjs";
import { useAsyncData } from "#imports";
export default defineComponent({
  props: {
    query: {
      type: Object,
      required: false,
      default: () => ({})
    }
  },
  async setup(props) {
    const { fetchReleases } = useGithub();
    const { data: releases, refresh, pending } = await useAsyncData(`github-releases-${hash(props.query)}`, () => fetchReleases(props.query));
    return {
      releases,
      refresh,
      pending
    };
  },
  render({ releases, refresh, pending }) {
    const slots = useSlots();
    return slots?.default?.({ releases, refresh, pending });
  }
});
