import { defineComponent, useSlots } from "vue";
import { hash } from "ohash";
import { useGithub } from "../composables/useGithub.mjs";
import { useAsyncData } from "#imports";
export default defineComponent({
  props: {
    query: {
      type: Object,
      required: false,
      default: () => ({})
    }
  },
  async setup(props) {
    const { fetchRepository } = useGithub();
    const { data: repository, refresh, pending } = await useAsyncData(`github-repository-${hash(props.query)}`, () => fetchRepository(props.query));
    return {
      repository,
      refresh,
      pending
    };
  },
  render({ repository, refresh, pending }) {
    const slots = useSlots();
    return slots?.default?.({ repository, refresh, pending });
  }
});
