import type { ParsedContent } from '@nuxt/content/dist/runtime/types';
import type { GithubRepositoryOptions, GithubContributorsQuery, GithubReleasesQuery, GithubRepository, GithubRawRelease, GithubRawContributor, GithubReleaseQuery } from '../types';
export declare const useGithub: () => {
    fetchRepository: (query: GithubRepositoryOptions) => Promise<GithubRepository>;
    fetchReleases: (query: GithubReleasesQuery) => Promise<GithubRawRelease[]>;
    fetchRelease: (query: GithubReleaseQuery) => Promise<GithubRawRelease>;
    fetchLastRelease: (query: GithubRepositoryOptions) => Promise<GithubRawRelease>;
    fetchContributors: (query: GithubContributorsQuery) => Promise<GithubRawContributor[]>;
    fetchFileContributors: (query: GithubContributorsQuery) => Promise<GithubRawContributor[]>;
    fetchReadme: (query: GithubRepositoryOptions) => Promise<ParsedContent>;
};
