import { decodeParams, fetchFileContributors, overrideConfig } from "../../utils/queries.mjs";
import { addPrerenderPath } from "../../utils/prerender.mjs";
import * as imports from "#imports";
const moduleConfig = imports.useRuntimeConfig().github;
let handler;
if (process.env.NODE_ENV === "development" || moduleConfig.disableCache) {
  handler = imports.defineEventHandler;
} else {
  handler = imports.defineCachedEventHandler;
}
export default handler(
  async (event) => {
    addPrerenderPath(event);
    const query = decodeParams(event.context.params.query);
    const githubConfig = overrideConfig(moduleConfig, query);
    query.max = query.max ? Number(query.max) : moduleConfig.maxContributors;
    return await fetchFileContributors(query, githubConfig);
  },
  {
    maxAge: 60
  }
);
