import type { ModuleOptions } from '../../../module';
import { GithubRawRelease, GithubRepositoryOptions, GithubContributorsQuery, GithubReleasesQuery, GithubRepositoryReadme, GithubRepository } from '../../types';
export declare function decodeParams(params?: string): {};
export declare function githubGraphqlQuery<T = any>(query: string, options: Partial<ModuleOptions>): Promise<T>;
export declare const parseRelease: (release: GithubRawRelease, githubConfig: GithubRepositoryOptions) => Promise<any>;
export declare function overrideConfig(config: ModuleOptions, query: GithubRepositoryOptions): GithubRepositoryOptions;
export declare function fetchRepository({ api, owner, repo, token }: GithubRepositoryOptions): Promise<GithubRepository | {}>;
export declare function fetchRepositoryContributors({ max }: Partial<GithubContributorsQuery>, { api, owner, repo, token }: GithubRepositoryOptions): Promise<{
    avatar_url: any;
    login: any;
}[]>;
export declare function fetchFileContributors({ source, max }: Partial<GithubContributorsQuery>, { owner, repo, branch, token }: GithubRepositoryOptions & {
    maxContributors?: number;
}): Promise<any>;
export declare function fetchReleases(query: Partial<GithubReleasesQuery>, { api, repo, token, owner }: GithubRepositoryOptions): Promise<{}>;
export declare function fetchReadme({ api, owner, repo, token }: GithubRepositoryOptions): Promise<GithubRepositoryReadme | {}>;
